<p>
        <mat-form-field appearance="legacy">
          <mat-label>Entrer your id</mat-label>
          <input matInput  id="id"     formControlId="id"  placeholder="Entrer your id">
        
          <mat-hint>Hint</mat-hint>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field appearance="standard">
          <mat-label>Entrer your nom</mat-label>
          <input matInput placeholder="Entrer your nom">
         
          <mat-hint>Hint</mat-hint>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field appearance="fill">
          <mat-label>Entrer your prenom</mat-label>
          <input matInput placeholder="Entrer your prenom">
   
          <mat-hint>Hint</mat-hint>
        </mat-form-field>
      </p>
      <p>
            <mat-form-field appearance="fill">
              <mat-label>Entrer your email</mat-label>
              <input matInput placeholder="Entrer your email">
   
              <mat-hint>Hint</mat-hint>
            </mat-form-field>
          </p>
          <p>
                <mat-form-field appearance="fill">
                  <mat-label>Fill form field</mat-label>
                  <input matInput placeholder="Entrer your password">
                  <mat-hint>Hint</mat-hint>
                </mat-form-field>
              </p>
      <p>
        <mat-form-field appearance="outline">
          <mat-label>Outline form field</mat-label>
          <input matInput placeholder="Entrer your role">
          <mat-hint>Hint</mat-hint>
        </mat-form-field>
      </p>
     

      <button mat-button (click)="cancel()">Annuler</button> &nbsp;&nbsp;
    <button mat-raised-button  (click)="add()">Ajoute</button>
      
      